echo off

cls
echo.
echo Stopping Sentinel Services: (Please ignore any error messages)
echo.
echo off
net stop sentinel
net stop SuperProServer

echo.
echo Removing Sentinel System Driver components:
echo.
::
ver | find "Windows XP" >nul
if not errorlevel 1 goto XP
::
ver | find "Windows 2000" >nul
if not errorlevel 1 goto 2K
::
ver | find "Windows NT" >nul
if not errorlevel 1 goto NT
::
ver | find "Windows ME" >nul
if not errorlevel 1 goto ME
::
ver | find "Windows 98" >nul
if not errorlevel 1 goto 98
::
ver | find "Windows 95" >nul
if not errorlevel 1 goto 95
::
ver | find "OEM Service Release" >nul
if not errorlevel 1 goto OEM
::
ver | find "MS-DOS" >nul
if not errorlevel 1 goto DOS
::
echo   OS version not found...
goto end


:XP
echo OS is Windows XP ...
echo.
goto OSNT

:2K
echo OS is Windows 2K ...
echo.
goto OSNT

:NT
echo OS is Windows NT ...
echo.
goto OSNT

:ME
echo OS is Windows ME ...
echo.
goto OS9X

:98
echo OS is Windows 98 ...
echo.
goto OS9x

:95
echo OS is Windows 95 ...
echo.
goto OS9X

:OEM
echo OS is Windows OSR ...
echo.
goto end

:OS9X
echo Removing driver files:
echo.
del "C:\Program Files\Rainbow Technologies\Sentinel System Driver\*.* /Y" 
deltree "C:\Program Files\Rainbow Technologies\Sentinel System Driver"
del %windir%\system32\rnbosent\.
deltree %windir%\system32\rnbosent
del %windir%\SYSTEM32\RNBOVDD.DLL
del %windir%\SYSTEM32\sentinel.hlp
del %windir%\SYSTEM32\drivers\sentinel.sys
del %windir%\SYSTEM32\drivers\sntnlusb.sys
echo.
regedit win98ssd.reg
goto end

:OSNT
echo Removing driver files:
echo.
echo off
rd "%programfiles%\rainbow technologies\sentinel system driver" /S /Q
rd  %systemroot%\system32\rnbosent" /S /Q
del %systemroot%\system32\rnbosent" /Q
del %systemroot%\SYSTEM32\RNBOVDD.DLL
del %systemroot%\SYSTEM32\sentinel.hlp
del %systemroot%\SYSTEM32\drivers\sentinel.sys
del %systemroot%\SYSTEM32\drivers\sntnlusb.sys
echo.
regedit winntssd.reg
goto end


:DOS
echo OS is MS-DOS mode ...


:end
echo.
echo finished
